Skip to main content
POST
Create plan draft
This reference describes API version 2026-07-24. Send Commet-Version: 2026-07-24 with your request.

Authorizations

x-api-key
string
header
required

Headers

Idempotency-Key
string

Unique key used to safely retry this write for 24 hours without applying it twice.

Required string length: 1 - 200
Commet-Version
string
default:2026-07-24

API version used by this reference. Send this header to select this contract explicitly.

Path Parameters

id
string
required

Body

application/json
fromVersionId
string

The version to start from: the current version, an experiment's version or an older version. Defaults to the current version.

Response

Success

id
string
required

Public plan draft ID.

fromVersionId
string
required

The version the draft started from.

changes
object[]
required

What the draft changes against the version it started from.

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
object
string
required
Allowed value: "plan_draft"
livemode
boolean
required